<ng-container *ngIf="!fetching; else fetchingData">
  <div *ngIf="downloaded && !file; else formBlock" >
    <div class="edit-block">
      <h2 class="not-found">File not found</h2>
    </div>
  </div>
  <ng-template #formBlock>
  <div class="edit-block">

    <h2>Edit file</h2>
    <form #myForm="ngForm" novalidate>
      <mat-form-field appearance="outline">
        <mat-label>Name</mat-label>
        <input matInput type="text" [ngModel]="this.file.name | cutExtension" name="File name" required/>
        <mat-error>Name field is required</mat-error>
      </mat-form-field>

      <mat-label>File status:</mat-label>

      <mat-divider></mat-divider>
<div class="button-block">
      <button type="button" mat-flat-button color="primary" (click)="saveFile(myForm.value)" [disabled]="myForm.invalid">Save</button>
      <button type="button" mat-flat-button >Cancel</button>
</div>
    </form>
  </div>
  </ng-template>

</ng-container>

<ng-template #fetchingData>
  <div class="spinner">
    <mat-spinner diameter="50"></mat-spinner>
  </div>
</ng-template>
